# 融租易开发手册

* [Introduction](README.md)
* [GitBook使用](gitbook.md)
* [3.1更新汇总](changes-31.md)
* [3.0更新汇总](changes-30.md)
* [2.0更新汇总](changes-20.md)
* [2.0表结构变化](change-20-tables.md)

---

* I. 开发环境准备

  * [1.1 Git 使用](git-guide.md)
  * [1.2 Maven 使用手册](maven.md)
  * [1.3 开发环境搭建](system-requirements.md)
  * [1.4 创建数据库](database-init.md)
  * [1.5 MySql, Oracle, SQL Server 数据库配置](database-config.md)
  * [1.6 新建项目](project-create.md)
  * [1.7 更新项目的HAP依赖版本](project-update.md)
  * [1.8 Liquibase](liquibase-use.md)

* II. 项目开发规范

  * [2.1 项目开发规范](backend-dev_principle.md)
  * [2.2 编码规范](coding-spec.md)
  * [2.3 Checkstyle](checkstyle.md)

* III. 后端开发

  * [3.1 CAS 集成](security-cas.md)
  * [3.2 LDAP 验证](ldap-config.md)
  * [3.3 LDAP 服务器搭建](ldap-server.md)
  * [3.4 发布 WebService](webservice-cxf.md)
  * [3.5 消息机制  ](message.md)
  * [3.6 配置维护  ](profile.md)
  * [3.7 用户安全策略](user-security-strategy.md)
  * [3.8 单点登录](sso-describe.md)
  * [3.9 锁机制](lock.md)
  * [3.10 审计](audit.md)
  * [3.11 数据多语言](multi-language.md)
  * [3.12 MyBatis 使用手册  ](mybatis.md)
  * [3.13 MyBatis 注意事项  ](mybatis2.md)
  * [3.14 日志管理 ELK](elk.md)
  * [3.15 代码生成器](code-generator.md)
  * [3.16 防止 CSRF 攻击](csrf.md)
  * [3.17 开发流程](dev-flow.md)
  * [3.18 发布 WebService](webservice-cxf.md)
  * [3.19 工作流](activiti.md)
  * [3.19.1 工作流demo-请假申请](activiti-demo-vacation.md)
  * [3.20 部署](deployment.md)
  * [3.21 EXCEL导入导出](excel.md)
  * [3.22 资源组件管理](sys-resource-item.md)
  * [3.23 跨域访问（CORS）](3.24-cors.md)

* IV. 前端开发

  * [4.0 前端开发说明 \(1.0\)](front-ligerui.md)
  * [4.1 前端开发说明 \(2.0\)](front-kendoui.md)
  * [4.2 kendoUI Form](kendo-form.md)
  * [4.3 kendoUI Grid](kendo-grid.md)
  * [4.4 kendoUI Lov](kendo-lov.md)
  * [4.5 kendoUI Upload](kendo-upload.md)
  * [4.6 kendoUI Validator](kendo-validator.md)
  * 4.7 标签

    * [4.7.1 Button](kendo-tag-button.md)
    * [4.7.2 CheckBox](kendo-tag-checkbox.md)
    * [4.7.3 ComboBox](kendo-tag-combobox.md)
    * [4.7.4 DataSource](kendo-tag-dataSource.md)
    * [4.7.5 DatePicker](kendo-tag-datePicker.md)
    * [4.7.6 DateTimePicker](kendo-tag-dateTimePicker.md)
    * [4.7.7 DropDownList](kendo-tag-dropDownList.md)
    * [4.7.8 Grid](kendo-tag-grid.md)
    * [4.7.9 LOV](kendo-tag-lov.md)
    * [4.7.10 MaskedTextBox](kendo-tag-maskedTextBox.md)
    * [4.7.11 NumbericTextBox](kendo-tag-numbericTextBox.md)
    * [4.7.12 QueryPanel](kendo-tag-queryPanel.md)
    * [4.7.13 Radio](kendo-tag-radio.md)
    * [4.7.14 TabStrip](kendo-tag-tabStrip.md)
    * [4.7.15 TLEdit](kendo-tag-tlEdit.md)
    * [4.7.16 TreeList](kendo-tag-treeList.md)
    * [4.7.17 TreeView](kendo-tag-treeView.md)

  * [4.8 标签合并](kendo-tag-merge.md)

* V. 框架功能描述

  * [5.1 用户管理功能描述](sys-user.md)
  * [5.2 接口管理功能描述](if-manage-introduce.md)
  * [5.3 计划任务功能描述](sys-job.md)
  * [5.4 工作流功能描述](activiti-helper.md)



